"""Production SyncNode"""

from ...common.sync_node import SyncNode
from schemas.project_extensions.production import ProductionDetail


class ProductionSyncNode(SyncNode[ProductionDetail]):
    """投产节点同步节点"""
    node_type = "production"
    schema = ProductionDetail
    
    def __init__(self, **kwargs):
        super().__init__(**kwargs)
